[ Maverik Level 3 functions ]

#

mav_SMSCallbackIntersectSet

mav_SMSCallbackIntersectSet, mav_SMSCallbackIntersectExec

## Summary

Set/execute "Intersect" callback function.

## Syntax

void mav_SMSCallbackIntersectSet(MAV_SMSClass *sc, MAV_SMSCallbackIntersectFn fn);

int mav_SMSCallbackIntersectExec(MAV_SMS *s, MAV_window *w, MAV_line ln, MAV_objectIntersection *oi, MAV_object **o);

- MAV_SMSClass *sc

## Description

- mav_SMSCallbackIntersectSet sets the callback function for SMS class `sc`, which performs object intersection testing.

- mav_SMSCallbackIntersectExec executes the SMS callback function registered by mav_SMSCallbackIntersectSet. The callback steps through the SMS executing each object's intersection callback when necessary. The closest intersection of line `ln` with an object (if any) is returned in `oi`, and the relevant object in `o`. The result of the function is MAV_TRUE if an intersection was detected, else MAV_FALSE.

Back to the index page.